#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib manages sieve support
Name:           libksieve
Epoch:          2
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5WebEngine)

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5DocTools)

Recommends:     %{name}-handbook


%description
This lib manages sieve support.

%files -f %name.lang
%_kf5_categoriesdir/libksieve.categories
%_kf5_categoriesdir/libksieve.renamecategories
%_kf5_datadir/knsrcfiles/ksieve_script.knsrc
%_kf5_datadir/sieve

#--------------------------------------------------------------------

%package -n     kio5-sieve
Summary:        KDE sieve module
Group:          System/Libraries
Requires:       akonadi-contacts
Requires:       %{name} = %epoch:%version

%description -n kio5-sieve
KDE sieve module.

%files -n kio5-sieve
%_kf5_plugindir/kio/sieve.so
%_kf5_services/sieve*

#--------------------------------------------------------------------

%define kf5kmanagesieve_major 5
%define libkf5kmanagesieve %mklibname kf5kmanagesieve %{kf5kmanagesieve_major}

%package -n %libkf5kmanagesieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

Obsoletes:      %{_lib}kf5managesieve_5 < 2:17.12.0
Provides:       %{_lib}kf5managesieve_5 = %epoch:%version-%release
Obsoletes:      %{_lib}kf5managesieve5 < 2:19.04.3-2

%description -n %libkf5kmanagesieve
This lib manages sieve support.

%files -n %libkf5kmanagesieve
%_kf5_libdir/libKF5KManageSieve.so.%{kf5kmanagesieve_major}{,.*}

#--------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %libkf5ksieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

Obsoletes:      %{_lib}kf5ksieve_5 < 2:17.12.0
Provides:       %{_lib}kf5ksieve_5 = %epoch:%version-%release

%description -n %libkf5ksieve
This lib manages sieve support.

%files -n %libkf5ksieve
%_kf5_libdir/libKF5KSieve.so.%{kf5ksieve_major}{,.*}

#--------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui %{kf5ksieveui_major}

%package -n %libkf5ksieveui
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name >= %epoch:%version

Obsoletes:      %{_lib}kf5ksieveui_5 < 2:17.12.0
Provides:       %{_lib}kf5ksieveui_5 = %epoch:%version-%release

%description -n %libkf5ksieveui
This lib manages sieve support.

%files -n %libkf5ksieveui
%_kf5_libdir/libKF5KSieveUi.so.%{kf5ksieveui_major}{,.*}

#--------------------------------------------------------------------

%define libksieve_devel %mklibname kf5libksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kmanagesieve = %epoch:%version-%release
Requires:       %libkf5ksieve = %epoch:%version-%release
Requires:       %libkf5ksieveui = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}
Obsoletes:      %{_lib}ksieve-devel < 2:19.04.3-2

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_kf5_includedir/KManageSieve/
%_kf5_includedir/kmanagesieve/
%_kf5_includedir/KSieveUi/
%_kf5_includedir/ksieveui/
%_kf5_includedir/libksieve_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5LibKSieve/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Sieve Handbook
Group:          Documentation
BuildArch:      noarch

# can be removed for mga8
Conflicts:      kdepimlibs-handbooks < 16.04.3-2

%description    handbook
This package provides Sieve handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/sieve/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655695
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644077
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633893
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627136
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615004
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604200
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596938
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584585
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568215
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559404
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540768
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513380
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467034
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457980
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447647
- New version 19.08.1

* Tue Jul 30 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426025
- fix library and devel pkg name

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426020
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390526
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387737
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383104
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375734
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365649
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356586
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339591
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332821
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327474
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298955
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229116
- New version 18.04.1

* Tue Mar 06 2018 neoclust <neoclust> 2:17.12.2-5.mga7
+ Revision: 1206890
- Obsolete old libs instead of conflicting

* Mon Mar 05 2018 neoclust <neoclust> 2:17.12.2-4.mga7
+ Revision: 1206662
- Add epoch to fix conflict ( thanks to david_david)

* Fri Feb 23 2018 neoclust <neoclust> 2:17.12.2-3.mga7
+ Revision: 1204319
- Fix package renaming
- Fix package renaming

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201970
- New version 17.12.2

* Thu Jan 25 2018 neoclust <neoclust> 2:17.12.1-2.mga7
+ Revision: 1196925
- Fix update

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194992
- New version 17.12.1

* Fri Jan 12 2018 neoclust <neoclust> 2:17.12.0-2.mga7
+ Revision: 1192443
- Rename kf5ksieveui library

* Fri Jan 05 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1190472
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143126
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136890
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133600
- Fix for new find_lang

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131410
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090155
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076897
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073852
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067409
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061472
- New version 16.08.2

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054505
- Rebuild for ARM

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051752
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-5.mga6
+ Revision: 1049811
- Exclude armv5tl as it needs QtWebEngine

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-4.mga6
+ Revision: 1049807
- Rebuild for armv7

* Fri Aug 26 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1049145
- kio5-sieve requires akonadi-contacts

* Thu Aug 25 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1048946
- fix dependencies adding missing epoch on kio5-sieve subpackage

* Tue Aug 23 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1047987
- add subpackage kio5-sieve no more provided by kdepimlibs
- add subpackage libksieve-handbook and conflicts kdepimlibs-handbooks
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040138
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012628
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1006092
- Add conflicts to ease upgrade
- New version 16.04.0

* Thu Mar 31 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997032
- imported package libksieve

